<?xml version="1.0" encoding="UTF-8"?>
<web-app version="2.5" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd">
    <listener>
        <listener-class>fr.exemole.bdfserver.servlets.BDFServletContextListener</listener-class>
    </listener>
    <filter>
        <filter-name>SetCharacterEncodingFilter</filter-name>
        <filter-class>net.mapeadores.util.servlets.SetCharacterEncodingFilter</filter-class>
        <init-param>
            <param-name>encoding</param-name>
            <param-value>UTF-8</param-value>
        </init-param>
    </filter>
    <filter-mapping>
        <filter-name>SetCharacterEncodingFilter</filter-name>
        <servlet-name>BDF</servlet-name>
    </filter-mapping>
    <servlet>
        <servlet-name>BDF</servlet-name>
        <servlet-class>fr.exemole.bdfserver.servlets.BDFServlet</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>BDF</servlet-name>
        <url-pattern>/*</url-pattern>
    </servlet-mapping>
</web-app>
